import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var colors = _ref.cleverUI.colors;
  return {
    rootOutlined: function rootOutlined(_ref2) {
      var color = _ref2.color,
          shade = _ref2.shade,
          active = _ref2.active;
      return {
        backgroundColor: colors[color][shade],
        "& svg": {
          "& path": {
            fill: "".concat(active ? colors[color][shade] : colors[color][50], " !important")
          }
        },
        "&:hover": {
          "& svg": {
            "& path": {
              fill: "".concat(colors[color][50], " !important")
            }
          },
          backgroundColor: colors[color][700]
        },
        "&:focus": {
          "& svg": {
            "& path": {
              fill: "".concat(colors[color][50], " !important")
            }
          },
          backgroundColor: colors[color][700]
        }
      };
    },
    disabledOutlined: function disabledOutlined(_ref3) {
      var color = _ref3.color;
      return {
        backgroundColor: "".concat(colors[color][300], " !important"),
        "& svg": {
          "& path": {
            fill: "".concat(colors[color][50], " !important")
          }
        }
      };
    },
    root: function root(_ref4) {
      var active = _ref4.active,
          color = _ref4.color,
          shade = _ref4.shade;
      return {
        padding: 0,
        "& svg": {
          "& path": {
            fill: "".concat(active ? colors[color][700] : colors[color][shade], " !important")
          }
        },
        "&:hover": {
          backgroundColor: "transparent",
          "& svg": {
            "& path": {
              fill: "".concat(colors[color][700], " !important")
            }
          }
        },
        "&:focus": {
          backgroundColor: "transparent",
          "& svg": {
            "& path": {
              fill: "".concat(colors[color][700], " !important")
            }
          }
        }
      };
    },
    disabled: function disabled(_ref5) {
      var color = _ref5.color;
      return {
        padding: 0,
        "& svg": {
          "& path": {
            fill: "".concat(colors[color][300], " !important")
          }
        }
      };
    }
  };
};

export default makeStyles(styles);